Name:		net-rhythmbox
Summary:	Music Management Application 
Version:	0.4.8
Release:	1
License:	GPL
Group:		Development/Libraries
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk2 >= 2.1.1
Requires:	libgnomeui >= 2.0.0
Requires:	eel2 >= 2.0.0

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of cdroms (those are
lies, someone please fix this)

%prep
%setup -q

%build

%configure

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang netrhythmbox

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/net-rhythmbox.schemas > /dev/null;

%postun -p /sbin/ldconfig

%files -f netrhythmbox.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%{_bindir}/%name
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_datadir}/%name/*
%{_datadir}/applications/%name.desktop
%{_datadir}/application-registry/%name.applications
%{_datadir}/pixmaps/%name.png
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/GNOME_netRhythmbox_Shell.server
%{_datadir}/gnome/help/%name/C/authors.xml
%{_datadir}/gnome//help/%name/C/*
%{_datadir}/omf/%name/rhythmbox-C.omf

%changelog
* Tue Feb 25 2003 Peter Oliver <rpm@mavit.freeserve.co.uk>
- Made work with net-rhythmbox

* Sun Oct 20 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added documentation

* Thu Oct 10 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added .applications file, rpmbuild complains about .mo files being listed twice, dont see how.

* Sat Jun 22 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added gconf file
- Added i18n directory

* Sat Jun 15 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Updated for new rewrite of rhythmbox, thanks to Jeroen

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
